Functions
Functions
BLE Services » OTA Service Client (OTAS_C)
Collaboration diagram for Functions:

## Functions
sdk_err_t | otas_client_init (otas_c_evt_handler_t evt_handler)
| Register THS Client event handler. More...
sdk_err_t | otas_c_disc_srvc_start (uint8_t conn_idx)
| Discovery OTAS on peer. More...
sdk_err_t | otas_c_tx_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer OTA tx characteristic notify. More...
sdk_err_t | otas_c_ctrl_data_send (uint8_t conn_idx, uint32_t data)
| Send control data to peer. More...
sdk_err_t | otas_c_tx_data_send (uint8_t conn_idx, uint8_t *p_data, uint16_t length)
| Send data to peer. More...

## Detailed Description

## Function Documentation

## ◆ otas_c_ctrl_data_send()

sdk_err_t otas_c_ctrl_data_send | ( | uint8_t | conn_idx,
|  | uint32_t | data
| ) |  |

Send control data to peer.

Parameters

  [in] | conn_idx | Connection index.
  [in] | data | Control data.

Returns
  Operation result.

## ◆ otas_c_disc_srvc_start()

sdk_err_t otas_c_disc_srvc_start | ( | uint8_t | conn_idx | ) |

Discovery OTAS on peer.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ otas_c_tx_data_send()

sdk_err_t otas_c_tx_data_send | ( | uint8_t | conn_idx,
|  | uint8_t * | p_data,
|  | uint16_t | length
| ) |  |

Send data to peer.

Parameters

  [in] | conn_idx | Connection index.
  [in] | p_data | Pointer to data to be sent.
  [in] | length | Length of data to be sent.

Returns
  Operation result.

## ◆ otas_c_tx_notify_set()

sdk_err_t otas_c_tx_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer OTA tx characteristic notify.

Parameters

  [in] | conn_idx | Connection index.
  [in] | is_enable | Enable or disable OTA tx notify.

Returns
  Operation result.

## ◆ otas_client_init()

sdk_err_t otas_client_init | ( | otas_c_evt_handler_t | evt_handler | ) |

Register THS Client event handler.

Parameters

  [in] | evt_handler | OTA Service Client event handler.

Returns
  Result of initialization.